/*
       Licensed to the Apache Software Foundation (ASF) under one
       or more contributor license agreements.  See the NOTICE file
       distributed with this work for additional information
       regarding copyright ownership.  The ASF licenses this file
       to you under the Apache License, Version 2.0 (the
       "License"); you may not use this file except in compliance
       with the License.  You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing,
       software distributed under the License is distributed on an
       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
       KIND, either express or implied.  See the License for the
       specific language governing permissions and limitations
       under the License.
*/

var deviceInfo = function() {
    document.getElementById("platform").innerHTML = device.platform;
    document.getElementById("version").innerHTML = device.version;
    document.getElementById("uuid").innerHTML = device.uuid;
    document.getElementById("name").innerHTML = device.name;
    document.getElementById("width").innerHTML = screen.width;
    document.getElementById("height").innerHTML = screen.height;
    document.getElementById("colorDepth").innerHTML = screen.colorDepth;
};


var beep = function() {
    navigator.notification.beep(2);
};

var vibrate = function() {
    navigator.notification.vibrate(0);
};


var preventBehavior = function(e) {
    e.preventDefault();
};


function fail(msg) {
    alert(msg);
}


function close() {
    var viewport = document.getElementById('viewport');
    viewport.style.position = "relative";
    viewport.style.display = "none";
}



function check_network() {
    var networkState = navigator.network.connection.type;

    var states = {};
    states[Connection.UNKNOWN]  = 'Unknown connection';
    states[Connection.ETHERNET] = 'Ethernet connection';
    states[Connection.WIFI]     = 'WiFi connection';
    states[Connection.CELL_2G]  = 'Cell 2G connection';
    states[Connection.CELL_3G]  = 'Cell 3G connection';
    states[Connection.CELL_4G]  = 'Cell 4G connection';
    states[Connection.NONE]     = 'No network connection';

    confirm('Connection type:\n ' + states[networkState]);
}


function init() {
    // the next line makes it impossible to see Contacts on the HTC Evo since it
    // doesn't have a scroll button
    // document.addEventListener("touchmove", preventBehavior, false);
    document.addEventListener("deviceready", deviceInfo, true);
	$.mobile.phonegapNavigationEnabled = true;
	$.mobile.allowCrossDomainPages = true;
	$.mobile.defaultPageTransition  = 'slide';
}

function geo() {
   	navigator.geolocation.getCurrentPosition(onSuccess, onError, {maximumAge:600000, timeout:10000, enableHighAccuracy: true});

}

    // onSuccess Geolocation
    //
function onSuccess(position) {
	    var smsNavn = localStorage.getItem('sms_name');
	    var smsNummer = localStorage.getItem('sms_nummer');
        var element = document.getElementById('geolocation');
        element.innerHTML = '<a href=\"sms:' + smsNummer + '?body= Hjælp mig - Jeg har et angstanfald og befinder mig her: http://maps.google.com/maps?q=loc:' + position.coords.latitude + ',' + position.coords.longitude +'"> <img src=\"images\/sendsms.png\"><\/a> ';
    }

    // onError Callback receives a PositionError object
    //
    function onError(error) {
       // alert('code: '    + error.code    + '\n' +
       //       'message: ' + error.message + '\n');
	   
	   alert('Du skal indstille din telefon til at også bruge trådløst netværk (wi-fi), når den deler din position.');
    }
